//===========================================================================
//
// Name:			Herring_c.c
// Function:		chat lines for Mr Herring
// Programmer:		MrHerring (mrherring@cwcom.net)
// Last update:		2000-17-07
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "MrHerring"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"
	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"They call me MISTER Herring.";
		"huh... ", 4, ", I've made better.";
		"", 1 ,"'s here too, looks like I'm gonna win.";
		"Shoot the fish - win a prize";
		HELLO7;
		"Mmmmmm..... Organised crime.";
		"Urge to kill rising....";
		// 1= random opponent
		// 4= Level's title
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Keep looking sharp and move slowly towards the cake....";
		GOODBYE1;
		"See you in Hell ", 1, "!";
		"Thank you and goodnight";
		// 1= random opponent
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"D'oh";
		"Hey,", 1 ,"! Get off the damn roof!";
		"Aaaaarrrggghhh!";
		"We form the ancient society of No-Homers.";
		LEVEL_START2;
		// 0 = bot name
	} //end type


	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Okay ", 2 , ", you're the Boss";
		"The important thing is I still have my sanity.";
		"D'oh! Fish don't have the necessary opposable digits to fire a gun";
		"Could be worse, could be ", 3 ,".";
		"All my life I've been an obese man, trapped in a fat man's body.";
	
		// 2 = opponent in first place
		// 3 = opponent in last place
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{	
		"I am so smart, I am so smart, S-M-R-T, I mean S-M-A-R-T!";
		"Who kicks ass at Q-3-A? We do!";
		"Wooohoo! Take that space coyote!";
		"Mmmmm.....victory";
		LEVEL_END_VICTORY4;
		"Every has to work a lot harder when I'm around.";
		"Come on ", 1 ,", lets start a chant. Feeeeessshh! .";
		"You really do suck ", 3, ".";
		// 1 = random opponent
		// 3 = opponent in last place
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Why you little......";
		"At least I'm not last..D'oh!";
		LEVEL_END_LOSE2;
		"D'oh! ", 2, ".";
		// 2 = opponent in first place
		// 0 = bot name
	} //end type


	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Why you little....";
		"Hey, ", 0 ,"! that was uncalled for.";
		"Hey, ", 0, "! I'm gonna shove that ", 1 ," up your ass next time!.";
		"Well, so much for being sociable.";
		//1 = weapon used by shooter
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Good try ", 0 ,", you almost hurt me.";
		"That's the spirit ", 0, ", never give up.";
		0, ", that ", 1, " is no good, I'm still alive.";
		"Owww, stop shooting at me.";
		"Its good but try aiming for my head nextime ", 0 ,".";
		"D'oh!";
		//1 = weapon used by shooter		
		//0 = shooter
	} //end type


	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Its like shooting fish in a barrel!.";		
		"Oooh, ", 0 ,". That' goona hurt in the morning.";
		"Kill fatty";
		TAUNT;
		TAUNT7;
		"I'm afraid you're not dead ", 0 ,"";
		//0 = opponent	
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"All my life I've been an obese man, trapped in a fat man's body.";
		"That was messy, ", 0, ".";
		"What do I look like from the inside ", 0 ,"!.";
		DEATH_TELEFRAGGED0;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{	
		"I'm flying....D'oh.";
		"I guess I'm not a flying fish";
		"Aaaaaaaaaarrrrggghhh.......<Thud>.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Mmmmm.....Smoked herring";
		"Aaaah! It burns.";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{	
		"Mmmm....incapacitating.";
		"Help! It's green!";
		DEATH_SLIME0;
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Herrings can no longer swim.";
		"Mmmmm....Drowning.";
		"Guess I won't make the swim team.";
		"You think falling in this little puddle will stop me?";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"The important thing is I killed somebody.";
		"D'oh.";
		"Really shot myself in the foot there.";
		DEATH_SUICIDE3;
		DEATH_SUICIDE4;
		"The only one who can really beat me is... me!";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{	
		"Ohhh that really hit the spot.";
		"Mmmmm....Pointy.";
		"Hail to the Gloved One.";
		DEATH_INSULT4;
		//1 = weapon used by shooter	
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{	
		"Silent but deadly.";
		DEATH_INSULT0;
		DEATH_RAIL2;
		"That didn't hurt at all";
		"Come here ", 0 ," and I'll shove that railgun up your ass";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Mmmmm....green!";
		"That is a big gun", 0 ,".";
		"Funny what ", 0, " can do when a gun misfires.";
		DEATH_BFG2;
		// 1 = weapon used by shooter
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Mmmm....Dead.";
		"Yeah, take my time... pull out your intestines ~one foot at a tug.";
		DEATH_INSULT3;
		"Mr. Herring. Dead On Arrival";
		"You need to be good, ", fighter, "!";
		// 0 = enemy name
	} //end type


	type "death_praise" //praise initiated when the bot died
	{	
		"You and your ", 1, " have the upper hand.";
		"I am dead, ", 0, ".";
		D_PRAISE5;
		// 1 = weapon used by shooter
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"nuh nuh nuh nuh nuh nuh nuh nuuh, fishing!.";
		KILL_RAIL1;
		"Oo! I just put a hole through ", 0 ,".";
		"Ker-splattttt!";
		"Fore!!!";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"The incredible boxing fish.";
		"I think I have some of your face stuck to my glove, ", 0, "!";
		"Mmmmm.....messy";
		"Bwahahahahahaha!";
		"I can't get enough of this!";
		"They call that the paddling of the swollen ass ", 0 ,".";
		DEATH_GAUNTLET2;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"It is gonna take me weeks to get ", 0 ,"'s vital organs out this suit";
		TELEFRAGGED3;
		"Mmmm....messy.";
		"Mmmm... leftovers again!";
		"I love my work!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		KILL_EXTREME_INSULT;
		KILL_INSULT34;
		"Hahahahahaha!";
		"Saves me a job ", 0 ,"";
		"You think that put me in a better mood? Well, yeah.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Do you know how long it took to build that wall? Now you've gone and stained it with your blood.";
		"Mmmm....meaty chunks.";
		"Brainless moro... oops... wait I CAN see your brain, ", 0, "!";
		"Hahahahahah ... I just love my job!";
		"You are dead ", 0 ,".";
		"Don't worry. folks. ", 0, " won't do that again. ", 0, " doesn't have the guts!";
		"That's ~one way to wipe the smile off someone's face.";
		KILL_INSULT19;
		KILL_INSULT24;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		PRAISE4;
		"Well you were good ", 0 ,", WERE!.";
		"You did good ", 0, "... sure... you can believe that if it helps.";
		// 0 = enemy name
	} //end type	

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Fish! Fish! Fish!";
		"Mmmm....", food, ".";
		"Mmmm....", liquid, "";
		0," screams louder than a school girl.";
		1, " has an odd fascination with the pavement.";
		"'", 1, " loses in ", 4, ". Perfect for your tombstone, ", 1, "!";	
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 4 = level's title 
	} //end type


	type "random_misc" //miscellanous chats initiated randomly
	{
		"Mmmm....", food, ".";
		"Mmmm....", liquid, "";
		"You all suck but kepp trying anyway."
		"Stonecutters forever!";
		"You'll never pass the initiation tests, ", 0, ".";
		"So, ", 0, ". Why don't we frag the ", fighter, "s, then duel it out?";
		"", 0 ," is up the shit-creek without a paddle";
		MISC1;
		MISC0;
		one_liners;
		"So, ", 1, ". How many ", 5, "s do you need anyways?";
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 5 = random weapon from weapons list
	} //end type
} //end chat


