//example initial chats
chat "ArchGiddle"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"
	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"Let's ROCK!";
		4, "? Sounds like fun.";
		"Lock and load.";
		"Hey, I know this place! ", 4, ", right?";
		"Let the mayhem begin!";
		"Who holds back the electric car?";
		HELLO7;
		"See that wall? ", 1, "'s gonna need it surgically removing in a few minutes.";
		// 1= random opponent
		// 4= Level's title
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"El riesgo siempre vive...";
		GOODBYE1;
		"This is Arch Giddle signing off...";
		"I'm outta here... but I'll be back with a big stick.";
		// 1= random opponent
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"No rest for the wicked...";
		"Who keeps the martians under wraps?";
		"Hey Ma!  Get off the roof!";
		"By your actions I judge you...";
		LEVEL_START2;
		// 0 = bot name
	} //end type


	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"You watch out, ", 2, ". I'm coming for you";
		"Haha! ", 3, " sucked!";
		"I was that close...";
		"Oh well. At least I beat ", 3, ".";
		"It's better than magnificent, it's mediocre!";
	
		// 2 = opponent in first place
		// 3 = opponent in last place
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{	
		"Woohoo!";
		"Who keeps the metric system down?";
		"Chalk up one more for the Stonecutters.";
		"Hey, ", 1, "! Is this your ear?";
		LEVEL_END_VICTORY4;
		"I am not a number!";
		"Who is number 1? Oh, it's me.";
		"Damn, ", 3, ", what you doing all the way down there?";
		// 1 = random opponent
		// 3 = opponent in last place
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Just wait, non-believers...";
		"Don't start reading any long books, ", 2, ".";
		LEVEL_END_LOSE2;
		"You can't win, ", 2, ". I've got lots left for next time.";
		// 2 = opponent in first place
		// 0 = bot name
	} //end type


	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"STOP SHOOTING ME!";
		"Note to self - must type faster";
		"Shoot someone else, will you?";
		"Okay, now the gloves come off.";
		//1 = weapon used by shooter
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"You could do more damage clubbing me with that ", 1, ",", 0, ".";
		"Fiddle-dee-dee. That will require a tetanus shot...";
		"Do you have a license for that ", 2, ",", 1, "?";
		"Not a problem. I didn't need that limb anyway.";
		"Is that your best,", 0, "?";
		"Oh yeah... That hit the spot.";
		"Not good. Not good";
		//1 = weapon used by shooter		
		//0 = shooter
	} //end type


	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"That's one mighty fine exit wound, ", 0, ".";
		"Come on! Skin that smokewagon!";		
		"Don't go anywhere, ", 0, ". I want another shot";
		"I'm just getting warmed up!";
		"Okay... Next time I aim for the head!";
		TAUNT;
		TAUNT7;
		"Winged you, yer bastard!";
		//0 = opponent	
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Where the @#$! did you come from, ", 0, "?";
		"Who got rid of those little red pads on the floor?";
		"What the hell? Attacked from the inside?";
		DEATH_TELEFRAGGED0;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{	
		"Yeargh! My ribcage has pushed out through the top of my head!";
		"Gravity is a habit that's hard to shake off.";
		"Well that was refreshing.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Argh! It burns!";
		"The pain is only a distraction";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{	
		"Woah! Green stuff!";
		"Hmmm... needs more dog.";
		DEATH_SLIME0;
		"There's things in here I don't even want to talk about";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"No! I am not going to drown in a few feet of water!";
		"Why you, kid! Why I outta... You told me the stream was shallow! Why I glub glub...";
		"Whoah! Damp!";
		"It's filling... my... head...";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"That was not supposed to happen!";
		"Hey boss..? It happened again!";
		"Live fast, die wide, that's what I say!";
		DEATH_SUICIDE3;
		DEATH_SUICIDE4;
		"No! I meant to do that. It was an experiment!";
		"Oo... The humility.";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{	
		"What's the matter, ", 0, "? Can't you shoot?";
		"You take off that buzzing fist thing and the we'll see who the best is.";
		"Why does the gautlet look like an angry beetle";
		DEATH_INSULT4;
		"Come on! Knock me out! Come on!";
		//1 = weapon used by shooter	
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{	
		"Aaargh! Bleeding copiously... All bones... shattered...";
		DEATH_INSULT0;
		DEATH_RAIL2;
		"What makes you choose that coloured trail, ", 0, "? Something I should know?";
		"Just what is a uranium slug anyway?";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Whoah! Lots of green stuff!";
		"Whaaa..?";
		"That weapon is grotesque";
		"YEEEEEEEEEEAAAAAAAAAARRRRRRGGGGHHHHHgurgle... gurgle... squelch...";
		DEATH_BFG2;
		// 1 = weapon used by shooter
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Cry havoc! Let slip the dogs of war";
		"Backup! Need backup! Call for backup!";
		"I'm your huckleberry...";
		DEATH_INSULT3;
		"There I go again... Bleeding.";
		"The... pain...";
		"Just a flesh wound...";
		// 0 = enemy name
	} //end type


	type "death_praise" //praise initiated when the bot died
	{	
		"A lucky shot, ", 0, ".";
		"Where did you learn to fire a ", 1, " like that, ", 0, "?";
		D_PRAISE5;
		"Okay, you win... for now...";
		// 1 = weapon used by shooter
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"What a mess...";
		KILL_RAIL1;
		"I am the Angel of Death and the time of retibution is at hand.";
		"That'll slow you down, maggot!";
		"This is the trial of 'Being Shot with a High Powered Weapon.'";
		"You can't argue with that, ", 0, ".";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Look, I warned you... now you've got your ass killed!";
		"I must kill agian!";
		"Are you dead? Say again?";
		"Like lambs to the slaughter. Very much so, in fact.";
		"Si, El Pelo es grande.";
		"Yep. You're dead.";
		"You don't need these boots anymore, do you, ", 0, "?";
		DEATH_GAUNTLET2;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Whoah! Meaty chunks!";
		TELEFRAGGED3;
		"You are supposed to MOVE when you spawn in! Don't do that again!";
		"Blood and body bits everywhere.";
		"Somebody clean up ", 0, ".";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		KILL_EXTREME_INSULT;
		KILL_INSULT34;
		"Saved me a few rounds!";
		"No, not like that! Hahahha!";
		"Now that was pretty stupid, ", 0, ".";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Clean yourself up, ", 0, ". You're dead.";
		"Consider that a hint, ", 0, ".";
		"After all that you just die? What for?";
		"And next time I'll do it standing on one leg.";
		"Endlessly killed and resurrected for pleasure of the Vadrigar? Don't make me laugh!";
		"This is turning into one long blur of homicides";
		"Please, be dead this time. I couldn't take it of you got up again.";
		"Who kicks your ass at Q3A? That's right, We do.";
		KILL_INSULT19;
		KILL_INSULT24;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		PRAISE4;
		"And to celebrate... We're having ribs.";
		"Okay, I admit it, that wasn't quite effortless.";
		// 0 = enemy name
	} //end type	

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Yeeehaaaa! Yippee-I-oh-ky-ay!";
		"Damnit, ", 0, ", fight me!";
		"I am Arch Giddle of The Stonecutters and now you will know true pain.";
		"Who makes for Q3A? We do...";
		"Kill 'em.  Kill 'em all.";
		"Any second now, I swear I'm gonna kill somebody!";	
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 4 = level's title 
	} //end type


	type "random_misc" //miscellanous chats initiated randomly
	{
		"Now the trial of 'Crossing the Desert'";
		"I declare open bounty on anyone with a name like --{tHiS}--";
		"Where are you, ", 0, "?";
		"Hey, here's a familiar landmark."
		"Just because I can name a single country in Asia you're gonna get all bitter?";
		"Why run? You're still gonna die!";
		"I must break you...";
		"Who rigs every oscar night?";
		MISC1;
		MISC0;
		one_liners;
		"Who keeps the martians out of sight?";
		"Aaah... the new", 5, ", eh? Manufactured by Definitkil Industries, a division of the Microsoft corporation.";
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 5 = random weapon from weapons list
	} //end type
} //end chat


